import { Link } from "@inertiajs/react";
import { ChevronLeftIcon, ChevronRightIcon } from "@heroicons/react/24/solid";

export default function Pagination({ links }) {
  return (
    <nav className="text-center mt-4">
      {links.map((link) => {
        const isPrevious = link.label.toLowerCase().includes('previous');
        const isNext = link.label.toLowerCase().includes('next');

        return (
          <Link
            preserveScroll
            href={link.url || ""}
            key={link.label}
            className={
              "inline-block py-2 px-3 rounded-lg mx-[1px] text-text-primary text-xs " +
              (link.active ? "bg-primary text-text-white " : " ") +
              (!link.url ? "!text-text-white cursor-not-allowed " : "hover:bg-primary hover:bg-opacity-70 ")
            }
          >
            {isPrevious ? (
              <ChevronLeftIcon className="w-2 h-3 inline-block" />
            ) : isNext ? (
              <ChevronRightIcon className="w-2 h-3 inline-block" />
            ) : (
              <span dangerouslySetInnerHTML={{ __html: link.label }} />
            )}
          </Link>
        );
      })}
    </nav>
  );
}
